const FigmaIcon = ({ className, width = 24, height = 24 }) => (
  <span className={className}>
    <svg width={width} height={height} viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path d="M20.7415 23.0776H3.25849C1.46632 23.0776 0 21.6677 0 19.9444V3.13383C0 1.41059 1.46632 0.000671387 3.25849 0.000671387H20.7415C22.5337 0.000671387 24 1.41059 24 3.13383V19.9444C24 21.6677 22.5337 23.0776 20.7415 23.0776Z" fill="#353535" />
      <path d="M9.49334 18.7695C10.8782 18.7695 11.9999 17.691 11.9999 16.3594V13.9493H9.49334C8.10849 13.9493 6.98682 15.0278 6.98682 16.3594C6.98682 17.691 8.10849 18.7695 9.49334 18.7695Z" fill="#0ACF83" />
      <path d="M6.98682 11.5391C6.98682 10.2076 8.10849 9.12903 9.49334 9.12903H11.9999V13.9493H9.49334C8.10849 13.9493 6.98682 12.8707 6.98682 11.5391Z" fill="#A259FF" />
      <path d="M6.98682 6.7189C6.98682 5.38731 8.10849 4.30878 9.49334 4.30878H11.9999V9.12902H9.49334C8.10849 9.12902 6.98682 8.05049 6.98682 6.7189Z" fill="#F24E1E" />
      <path d="M12 4.30878H14.5065C15.8914 4.30878 17.0131 5.38731 17.0131 6.7189C17.0131 8.05049 15.8914 9.12902 14.5065 9.12902H12V4.30878Z" fill="#FF7262" />
      <path d="M17.0131 11.5391C17.0131 12.8707 15.8914 13.9493 14.5065 13.9493C13.1217 13.9493 12 12.8707 12 11.5391C12 10.2076 13.1217 9.12903 14.5065 9.12903C15.8914 9.12903 17.0131 10.2076 17.0131 11.5391Z" fill="#1ABCFE" />
    </svg>
  </span>
);

export default FigmaIcon